VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::CertificateParams Class Reference

The `CertificateParams` class contains information about the public key certificate used to sign the OVF package. More...

List of all members.

## Public Member Functions
| CertificateParams ()
| Creates a default new instance.
string | GetIssuer ()
| Certificate issuer.
void | SetIssuer (string issuer)
| Certificate issuer.
string | GetSubject ()
| Certificate subject.
void | SetSubject (string subject)
| Certificate subject.
bool | GetIsValid ()
| Is the certificate chain validated.
void | SetIsValid (bool?isValid)
| Is the certificate chain validated.
bool | GetIsSelfSigned ()
| Is the certificate self-signed.
void | SetIsSelfSigned (bool?isSelfSigned)
| Is the certificate self-signed.
string | GetX509 ()
| The X509 representation of the certificate.
void | SetX509 (string x509)
| The X509 representation of the certificate.
string | Get_Type ()
| Unique identifier describing the type of the OVF parameters.
void | SetType (string type)
| Unique identifier describing the type of the OVF parameters.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `CertificateParams` class contains information about the public key certificate used to sign the OVF package.

This class will only be returned if the OVF package is signed.

See LibraryItem.Deploy and LibraryItem.Filter

## Constructor & Destructor Documentation

vmware::vcenter::ovf::CertificateParams::CertificateParams | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::CertificateParams::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::CertificateParams::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::CertificateParams::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::CertificateParams::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::CertificateParams::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::CertificateParams::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::CertificateParams::Get_Type | ( |  | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

override int vmware::vcenter::ovf::CertificateParams::GetHashCode | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::CertificateParams::GetIsSelfSigned | ( |  | ) | `[inline]`

Is the certificate self-signed.

string vmware::vcenter::ovf::CertificateParams::GetIssuer | ( |  | ) | `[inline]`

Certificate issuer.

For example: /C=US/ST=California/L=Palo Alto/O=VMware, Inc.

bool vmware::vcenter::ovf::CertificateParams::GetIsValid | ( |  | ) | `[inline]`

Is the certificate chain validated.

string vmware::vcenter::ovf::CertificateParams::GetSubject | ( |  | ) | `[inline]`

Certificate subject.

For example: /C=US/ST=Massachusetts/L=Hopkinton/O=EMC Corporation/OU=EMC Avamar/CN=EMC Corporation.

string vmware::vcenter::ovf::CertificateParams::GetX509 | ( |  | ) | `[inline]`

The X509 representation of the certificate.

void vmware::vcenter::ovf::CertificateParams::SetIsSelfSigned | ( | bool? | isSelfSigned | ) | `[inline]`

Is the certificate self-signed.

void vmware::vcenter::ovf::CertificateParams::SetIssuer | ( | string | issuer | ) | `[inline]`

Certificate issuer.

For example: /C=US/ST=California/L=Palo Alto/O=VMware, Inc.

void vmware::vcenter::ovf::CertificateParams::SetIsValid | ( | bool? | isValid | ) | `[inline]`

Is the certificate chain validated.

void vmware::vcenter::ovf::CertificateParams::SetSubject | ( | string | subject | ) | `[inline]`

Certificate subject.

For example: /C=US/ST=Massachusetts/L=Hopkinton/O=EMC Corporation/OU=EMC Avamar/CN=EMC Corporation.

void vmware::vcenter::ovf::CertificateParams::SetType | ( | string | type | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

void vmware::vcenter::ovf::CertificateParams::SetX509 | ( | string | x509 | ) | `[inline]`

The X509 representation of the certificate.

override string vmware::vcenter::ovf::CertificateParams::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CertificateParams.cs